Bug 1851138 - Ldap refresh failed with "Validation failed: Adding would cause a cycle!"
Summary: Ldap refresh failed with "Validation failed: Adding would cause a cycle!"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Authentication
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 6.7.2
Assignee: satellite6-bugs
QA Contact: Omkar Khatavkar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-25 16:31 UTC by Mike McCune
Modified: 2020-09-04 09:24 UTC (History)
3 users (show)

Fixed In Version: foreman-1.24.1.22-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1783882
Environment:
Last Closed: 2020-07-30 20:21:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 28514 0 Normal Closed Ldap refresh failed with "Validation failed: Adding would cause a cycle!" 2020-08-05 04:29:45 UTC
Github theforeman foreman pull 7347 0 None closed Fixes #28514 - Skip cycle validation for user type membership 2020-08-05 04:29:44 UTC
Red Hat Product Errata RHBA-2020:3255 0 None None None 2020-07-30 20:21:26 UTC

Comment 3 Akhil Jha 2020-07-09 09:52:31 UTC
Verified.

Version Tested:  Satellite-6.7.2 Snap 1.0

Steps followed:
1. Login web UI-> Administer -> User Groups
2. Create 4 user groups(IDs: 1,2,3,4). Also ID of Admin User is 4.
3.1 Add group1 as sub-group for group3.
3.2 Add group3 as sub-group for group4.
3.3 Add the default "Admin user" to group3 and submit.

Observation:

Admin user was added to group3.

Comment 6 errata-xmlrpc 2020-07-30 20:21:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:3255


Note You need to log in before you can comment on or make changes to this bug.